Page MenuHomePhabricator

Add "test image" category to "extensions/UploadWizard/test/api/upload-wizard_tests.py' script
Closed, ResolvedPublic

Description

Author: aarcos.wiki

Description:
Right now the upload-wizard_test.py script doesn't add the category "[[Category:Test images]]" to the images that are uploaded. The category was added manually after running the script. This is suboptimal since users may forget to add this category when they run the tests agains a different environment or with a different user. The test should add this category automatically as part of the actual uploading task. This is simple, just need to add an extra field "text" with the required category to the upload API call, something like:

...
text="[[Category:Test images]]"
...

Here is the script that I want you to modify:

https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FUploadWizard/01e6f81e4b87e4634e0e44f173f9d2be53a57944/test%2Fapi%2Fupload-wizard_tests.py


Version: master
Severity: enhancement
Whiteboard: https://www.mediawiki.org/wiki/Google_Code-In#Candidate_tasks

Details

Reference
bz58914

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:22 AM
bzimport set Reference to bz58914.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 23 2013, 8:44 PM

Change 103552 had a related patch set uploaded by M4tx:
Add "Test images" category to "upload-wizard_tests.py" script

https://gerrit.wikimedia.org/r/103552

Change 103552 merged by jenkins-bot:
Add "Test images" category to "upload-wizard_tests.py" script

https://gerrit.wikimedia.org/r/103552

aarcos: Assuming this bug is FIXED by merging the patch in comment 2.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:32 AM